> For the complete documentation index, see [llms.txt](https://docs.optitrack.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.optitrack.com/v2.3/developer-tools/camera-sdk/camera-sdk-classes/class-crigidbodysolutiontest.md).

# Class: cRigidBodySolutionTest

This class can be inherited into your TTAPI project for testing Rigid Body solutions. Input desired testing protocol for Rigid Bodies within the RigidBodySolutionTest member function of the inherited class, and attach/detach this class onto a Rigid Body using the following functions.

* [TT\_AttachRigidBodySolutionTest](/v2.3/developer-tools/motive-api/motive-api-function-reference.md#tt_attachrigidbodysolutiontest-tt_detachrigidbodysolutiontest)
* [TT\_DetachRigidBodySolutionTest](/v2.3/developer-tools/motive-api/motive-api-function-reference.md#tt_attachrigidbodysolutiontest-tt_detachrigidbodysolutiontest)

### Declaration: cRigidBodySolutionTest

```
class TTAPI cRigidBodySolutionTest
{
public:
	cRigidBodySolutionTest()  {}
	virtual ~cRigidBodySolutionTest() {}

	//== RigidBody Solution Test ==--

	virtual bool RigidBodySolutionTest( int markerCount, Core::cMarker *markers, bool *markerExists ) { 
		
		//Test rigid body solution
		
		return true;
	}
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.optitrack.com/v2.3/developer-tools/camera-sdk/camera-sdk-classes/class-crigidbodysolutiontest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
